version: '3'

services:
    nginx_gate:
        image: nginx:latest
        volumes:
            - ./:/var/www/
            - ./_docker/nginx/conf.d/:/etc/nginx/conf.d/
        ports:
            - "8000:80"
        depends_on:
            -   app_gate
        networks:
            - ms-network
        container_name: nginx_gate
    app_gate:
        build:
            context: .
            dockerfile: _docker/app/Dockerfile
        volumes:
            -   ./:/var/www
        networks:
            - ms-network
        container_name: app_gate

networks:
    ms-network:
        external: true
